@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;600&display=swap');

body {
    font-family: 'Poppins', sans-serif;
    background-color: #e8e5e4;
    overflow: auto;
}

header {
    height: 75px;
    display: flex;
    align-items: center;
    padding: 0 16px;
    background: #3e5238;
    color: white;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.06);
}

.header-title {
    font-weight: bold;
    margin-left: 10px;
}

.header-title::before {
    content: "BASC DORMITORY OPERATIONS MANAGEMENT SYSTEM";
    font-size: 1.1rem;
}

.main {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    width: 100%;
    transition: all 0.35s ease-in-out;
    min-width: 0;
}


.right-box {
    padding: 40px 30px 40px 40px;
}

::placeholder {
    font-size: 16px;
}

.rounded-4 {
    border-radius: 20px;
}

.rounded-5 {
    border-radius: 30px;
}

.form-control, .input-group-text {
    background-color: #f2f2f2;
    border: 1px solid #ccc;
    border-radius: 6px;
}

.form-check-input {
    appearance: none;
    width: 16px;
    height: 16px;
    border: 2px solid #769769;
    border-radius: 4px;
    cursor: pointer;
    position: relative;
    vertical-align: middle;
    transition: background-color 0.2s ease;
}

.form-check-input:checked {
    background-color: #769769;
     border: 2px solid #769769;
}

.form-check-input:checked::after {
    content: "✔";
    color: white;
    position: absolute;
    top: -1px;
    left: 2px;
    font-size: 10px;
    
     
}


.login {
    padding: 5px;
    color: white;
    background-color: #3e5238;
    margin-top: 3px;
    width: 30%;
    border-radius: 10px;
    transition: background-color 0.3s ease;
}

.login:hover {
    background-color: black;
}

.sign button {
    width: 100%;
    color: white;
    background-color: #769769;
    border-radius: 10px;
    transition: background-color 0.3s ease;
}

.sign button:hover {
    background-color: black;
}


.footer a,
header a,
.footer a i,
header a i {
    text-decoration: none !important;
}

.footer {
    height: 10vh;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: lightgray;
}

.footer-contact {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 30px;
    padding: 5px 0;
    height: 6vh;
}

.contact-footer {
    margin-right: 15px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: #333;
    transition: transform 0.3s ease, color 0.3s ease;
}

.contact-footer:hover {
    transform: scale(1.1);
    color: #769769;
}

.contact-footer i {
    font-size: 15px;
    color: #555;
    transition: color 0.3s ease;
}

.contact-footer h5 {
    font-size: 12px;
    font-weight: bold;
    margin-left: 10px;
    margin-top: 10px;

}

.contact-footer:hover i {
    color: #769769;
}

.footer-footer {
    font-size: 16px;
    color: #555;
    text-align: center;
    margin-top: 7px;
}

.toast-notification {
    position: fixed;
    top: 20px;
    left: 48%;
    transform: translateX(-50%);
    background-color: #4BB543;
    color: white;
    padding: 15px 25px;
    border-radius: 8px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
    font-size: 1rem;
    z-index: 9999;
    opacity: 1;
    transition: opacity 0.4s ease, transform 0.4s ease;
    pointer-events: none;
    max-width: 90vw;
    width: fit-content;
    text-align: center;
}



@media (max-width: 991) {
    .footer {
        align-items: center;
        flex-direction: column !important;
        justify-content: center;
        align-items: center;
    }

    .contact-footer i {
        font-size: 12px;
        color: #555;
        transition: color 0.3s ease;
    }

    .contact-footer h5 {
        font-size: 14px;
        font-weight: bold;
        margin-top: 0px;
        margin-left: 10px;
    }

    .footer-footer {
        margin: 0 !important;
        font-size: 17px;
        color: #555;
        text-align: center;
    }
}

@media (max-width: 870px) {

    .header-title::before {
        content: "BASC DOMS";
        font-size: 1.2rem;
    }


}


@media (max-width: 808px) {
    .header-title {
        font-size: 1rem;
    }

    .header-text h2 {
        font-size: 1.4rem;
    }

    footer span {
        font-size: 1rem;
    }

    .list-inline li {
        font-size: 1rem;
    }
}

@media only screen and (max-width: 768px) {

    header {
        left: 12px;
        right: 12px;
    }

    .header-title {
        font-size: 0.95rem;
        margin-left: 10px;
    }

    .box-area {
        margin: 0 10px;

    }

    .left-box {
        height: 100px;
        overflow: hidden;
    }

    .right-box {
        padding: 20px;
    }

}

@media (max-width: 768px) {
    header {
        left: 12px;
        right: 12px;
    }

    .header-title {
        font-size: 0.95rem;
        margin-left: 10px;
    }

    .contact-footer i {
        font-size: 15px;
        color: #555;
        transition: color 0.3s ease;
    }

    .contact-footer h5 {
        font-size: 12px;
        font-weight: bold;
        margin-top: 7px;
        margin-left: 10px;
    }

    .footer-footer {
        font-size: 16px;
        color: #555;
        text-align: center;

    }
}



@media (max-width: 769px) {

    .header-text h2 {
        font-size: 1.3rem;
    }

    img {
        width: 45px;
        height: 45px;
    }

    .footer {
        align-items: center;
        flex-direction: column !important;
        justify-content: center;
        align-items: center;
    }


    .contact-footer i {
        font-size: 15px;
        color: #555;
        margin-bottom: 16px;
        transition: color 0.3s ease;
    }

    .contact-footer h5 {
        font-size: 12px;
        font-weight: bold;
        margin-top: 0px;
        margin-left: 10px;
        margin-bottom: 16px;
    }

    .footer-footer {
        font-size: 16px;
        color: #555;
        text-align: center;

    }
}

@media (max-width: 576px) {
    .header-title::before {
        content: "BASC DOMS";
        font-size: 1.1rem;
    }

    .toast-notification {
        padding: 5px 10px;
        border-radius: 8px;
        box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
        font-size: 0.80rem;
        z-index: 9999;
        left: 46%;
    }


    .footer-contact {
        gap: 20px;
    }

    .contact-footer i {
        font-size: 14px;
        color: #555;
        transition: color 0.3s ease;
    }

    .contact-footer h5 {
        font-size: 11px;
        font-weight: bold;
        margin-left: 10px;
    }

    .footer-footer {
        font-size: 15px;
        color: #555;
        text-align: center;

    }
}

@media (max-width: 480px) {

    .header-title::before {
        font-size: 1rem;
        margin-left: 2px;
    }


    .header-text h2 {
        font-size: 1.2rem;
    }

    .contact-footer i {
        font-size: 14px;
        color: #555;
        transition: color 0.3s ease;
    }

    .contact-footer h5 {
        font-size: 11px;
        font-weight: bold;

        margin-left: 5px;
    }

    .footer-footer {
        font-size: 15px;
        color: #555;
        text-align: center;

    }
}


@media (max-width: 409px) {

    a img {
        height: 40px;
        width: 40px;
    }

    .footer-contact {
        gap: 15px;
        margin-left: 10px;
    }

    .contact-footer i {
        font-size: 12px;
        color: #555;
        transition: color 0.3s ease;
    }

    .contact-footer h5 {
        font-size: 10px;
        font-weight: bold;

        margin-left: 3px;
    }

    .footer-footer {
        font-size: 13px;
        color: #555;
        text-align: center;
    }

}


@media (max-width: 360px) {
    .header span img {
        height: 30px;
        width: 30px;
    }

    .footer-contact {
        gap: 5px;
        padding: 5px !important;
    }


    .contact-footer i {
        font-size: 11px;
        margin-bottom: 3px !important;
        color: #555;
        transition: color 0.3s ease;
    }

    .contact-footer h5 {
        margin-bottom: 3px !important;
        font-size: 9px;
        font-weight: bold;
        margin-left: 3px;
    }

    .footer-footer {
        font-size: 12px;
        color: #555;
        text-align: center;
        margin-bottom: 1px !important;
        margin-top: 0px !important;

    }
}

@media (max-width: 340px) {
    .header-title {
        font-size: 8.3px;
    }

    header span img {
        width: 20px;
        height: 20px;
    }

    .list-inline li {
        font-size: 8px;
    }
}


@media (max-height: 360px) {
    .footer {
        height: 20vh !important;
    }
}

@media (max-height: 480px) {
    .footer {
        height: 20vh !important;
    }
}